GetPatientInsightsJob
Get details of a started patient insights job.
Request Syntax
GET /domain/domainId/patient-insights-job/jobId HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"creationTime": "string",
"encounterContext": {
"encounterReason": "string"
},
"inputDataConfig": {
"fhirServer": {
"fhirEndpoint": "string",
"oauthToken": "string"
},
"s3Sources": [
{
"uri": "string"
}
]
},
"insightsContext": {
"insightsType": "string"
},
"insightsOutput": {
"uri": "string"
},
"jobArn": "string",
"jobId": "string",
"jobStatus": "string",
"outputDataConfig": {
"s3OutputPath": "string"
},
"patientContext": {
"dateOfBirth": "string",
"patientId": "string",
"pronouns": "string"
},
"statusDetails": "string",
"updatedTime": "string",
"userContext": {
"role": "string",
"specialty": "string",
"userId": "string"
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- creationTime
-
Date and time the patient insights job was submitted.
Type: Timestamp
- encounterContext
-
Type: PatientInsightsEncounterContext object
- inputDataConfig
-
Type: InputDataConfig object
- insightsContext
-
Type: InsightsContext object
- insightsOutput
-
Type: InsightsOutput object
- jobArn
-
Type: String
Length Constraints: Minimum length of 20. Maximum length of 200.
Pattern:
arn:aws[-a-z]*:health-agent:[-a-z0-9]+:[0-9]{12}:domain/[-a-zA-Z0-9-]+/patient-insights-job/[-a-zA-Z0-9_/.]+ - jobId
-
Type: String
Length Constraints: Minimum length of 1. Maximum length of 36.
- jobStatus
-
Type: String
Valid Values:
SUBMITTED | IN_PROGRESS | FAILED | SUCCEEDED - outputDataConfig
-
Type: OutputDataConfig object
- patientContext
-
Type: PatientInsightsPatientContext object
- statusDetails
-
Contains information about the status of a job.
Type: String
Pattern:
.*[\s\S]*\S[\s\S]*.* - updatedTime
-
Date and time the patient insights job was last updated.
Type: Timestamp
- userContext
-
Type: UserContext object
Errors
For information about the errors that are common to all actions, see Common Errors.
- AccessDeniedException
-
This error is thrown when the client does not supply proper credentials to the API.
HTTP Status Code: 401
- InternalServerException
-
This error is thrown when a transient error causes our API to fail.
HTTP Status Code: 500
- ResourceNotFoundException
-
This error is thrown when the requested resource is not found.
HTTP Status Code: 404
- ThrottlingException
-
This error is thrown when the client exceeds the allowed request rate.
HTTP Status Code: 429
- ValidationException
-
This error is thrown when the client supplies invalid input to the API.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: